package org.jeecg.modules.system.app.enums;

import lombok.Getter;

@Getter
public enum SitePlaceTypeEnum {
    //    0学校 1包场 2不固定场
    SCHOOL(0, "学校"),
    PACKAGE(1, "包场"),
    UNFIXED(2, "不固定场");
    final int code;
    final String name;
    SitePlaceTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
    public static SitePlaceTypeEnum getByCode(int code) {
        for (SitePlaceTypeEnum value : values()) {
            if (value.code == code) {
                return value;
            }
        }
        return null;
    }

}
